build.grid_multidim<-function(sizes){
  n<-length(sizes)
  D<-matrix(0,sizes,n)
  for (k in 1:n){
    V<-1:(sizes[k])
    V<-(V-0.5)/sizes[k]
    D[,k]<-V
  }
  D<-as.data.frame(D)
  grid.m<-expand.grid(D)
  return(grid.m)
}
